/**
 * @name string-split-by-whitespace
 * @fileoverview Split string into array by chunks of whitespace
 * @version 4.0.22
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/string-split-by-whitespace/}
 */

"use strict";var stringSplitByWhitespace=(()=>{var o=Object.defineProperty;var y=Object.getOwnPropertyDescriptor;var R=Object.getOwnPropertyNames,c=Object.getOwnPropertySymbols;var d=Object.prototype.hasOwnProperty,b=Object.prototype.propertyIsEnumerable;var g=(e,t,n)=>t in e?o(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,p=(e,t)=>{for(var n in t||(t={}))d.call(t,n)&&g(e,n,t[n]);if(c)for(var n of c(t))b.call(t,n)&&g(e,n,t[n]);return e};var v=(e,t)=>{for(var n in t)o(e,n,{get:t[n],enumerable:!0})},w=(e,t,n,i)=>{if(t&&typeof t=="object"||typeof t=="function")for(let s of R(t))!d.call(e,s)&&s!==n&&o(e,s,{get:()=>t[s],enumerable:!(i=y(t,s))||i.enumerable});return e};var x=e=>w(o({},"__esModule",{value:!0}),e);var T={};v(T,{defaults:()=>h,splitByW:()=>O,version:()=>E});var I={inclusiveRangeEnds:!1,returnMatchedRangeInsteadOfTrue:!1};function a(e,t,n){let i=p(p({},I),n);if(!Number.isInteger(e))throw new Error(`ranges-is-index-within: [THROW_ID_01] the first input argument should be string index, a natural number (or zero). It was given as ${e} (type ${typeof e})`);return Array.isArray(t)?i.returnMatchedRangeInsteadOfTrue?t.find(s=>i.inclusiveRangeEnds?e>=s[0]&&e<=s[1]:e>s[0]&&e<s[1])||!1:t.some(s=>i.inclusiveRangeEnds?e>=s[0]&&e<=s[1]:e>s[0]&&e<s[1]):!1}var m="4.0.22";var E=m,h={ignoreRanges:[]};function O(e,t){var l;if(e===void 0)throw new Error("string-split-by-whitespace: [THROW_ID_01] The input is missing!");if(typeof e!="string")return e;if(e.trim()==="")return[];let n=p(p({},h),t);if(n.ignoreRanges.length&&!n.ignoreRanges.every(r=>Array.isArray(r)))throw new Error("string-split-by-whitespace: [THROW_ID_03] The resolvedOpts.ignoreRanges contains elements which are not arrays!");let i=null,s=[];for(let r=0,f=e.length;r<f;r++)i===null&&e[r].trim()&&(!((l=n==null?void 0:n.ignoreRanges)!=null&&l.length)||n.ignoreRanges.length&&!a(r,n.ignoreRanges.map(u=>[u[0],u[1]-1]),{inclusiveRangeEnds:!0}))&&(i=r),i!==null&&(e[r].trim()?n.ignoreRanges.length&&a(r,n.ignoreRanges)?(s.push(e.slice(i,r-1)),i=null):e[r+1]===void 0&&s.push(e.slice(i,r+1)):(s.push(e.slice(i,r)),i=null));return s}return x(T);})();
/**
 * @name ranges-is-index-within
 * @fileoverview Checks if index is within any of the given string index ranges
 * @version 4.0.12
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/ranges-is-index-within/}
 */
